# https://github.com/pallets/werkzeug/archive/0.14.1.tar.gz
%global module werkzeug

Name:           python-%{module}
Version:        0.14.1
Release:        %mkrel 1
Summary:        The Swiss Army knife of Python web development

Group:          Development/Python
License:        BSD
URL:            http://werkzeug.pocoo.org/
Source0:        %{module}-%{version}.tar.xz
Source1:        werkzeug-sphinx-theme.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-sphinx
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-sphinx

%description
Werkzeug
========

Werkzeug started as simple collection of various utilities for WSGI
applications and has become one of the most advanced WSGI utility
modules.  It includes a powerful debugger, full featured request and
response objects, HTTP utilities to handle entity tags, cache control
headers, HTTP dates, cookie handling, file uploads, a powerful URL
routing system and a bunch of community contributed addon modules.

Werkzeug is unicode aware and doesn't enforce a specific template
engine, database adapter or anything else.  It doesn't even enforce
a specific way of handling requests and leaves all that up to the
developer. It's most useful for end user applications which should work
on as many server environments as possible (such as blogs, wikis,
bulletin boards, etc.).

%package doc
Summary:        Documentation for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}

%description doc
Documentation and examples for %{name}.

%package -n python3-%{module}
Summary:        The Swiss Army knife of Python web development
Group:          Development/Python

%description -n python3-%{module}
Werkzeug
========

Werkzeug started as simple collection of various utilities for WSGI
applications and has become one of the most advanced WSGI utility
modules.  It includes a powerful debugger, full featured request and
response objects, HTTP utilities to handle entity tags, cache control
headers, HTTP dates, cookie handling, file uploads, a powerful URL
routing system and a bunch of community contributed addon modules.

Werkzeug is unicode aware and doesn't enforce a specific template
engine, database adapter or anything else.  It doesn't even enforce
a specific way of handling requests and leaves all that up to the
developer. It's most useful for end user applications which should work
on as many server environments as possible (such as blogs, wikis,
bulletin boards, etc.).

%package -n python3-%{module}-doc
Summary:        Documentation for python3-werkzeug
Group:          Documentation
Requires:       python3-%{module} = %{version}-%{release}

%description -n python3-%{module}-doc
Documentation and examples for python3-werkzeug.

%prep
%setup -qn %{module}-%{version}
%{__sed} -i 's/\r//' LICENSE
%{__sed} -i '1d' tests/multipart/test_collect.py
tar -xf %{SOURCE1}

cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!*|#!%{__python3}|'

%build
%py2_build
find examples/ -name '*.py' -executable | xargs chmod -x
find examples/ -name '*.png' -executable | xargs chmod -x
pushd docs
ln -s ../werkzeug werkzeug
make html
popd

pushd %{py3dir}
%py3_build
find examples/ -name '*.py' -executable | xargs chmod -x
find examples/ -name '*.png' -executable | xargs chmod -x
pushd docs
ln -s ../werkzeug werkzeug
make html
popd
popd

%install
%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python2_sitelib}
%{__rm} -rf docs/_build/html/.buildinfo
%{__rm} -rf examples/cupoftee/db.pyc

pushd %{py3dir}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}
%{__rm} -rf docs/_build/html/.buildinfo
%{__rm} -rf examples/cupoftee/db.pyc
popd

%files
%defattr(-,root,root)
%doc AUTHORS LICENSE CHANGES.rst README.rst
%{python_sitelib}/*

%files doc
%defattr(-,root,root)
%doc docs/_build/html examples

%files -n python3-werkzeug
%defattr(-,root,root)
%doc AUTHORS LICENSE CHANGES.rst README.rst
%{python3_sitelib}/*

%files -n python3-werkzeug-doc
%defattr(-,root,root)
%doc docs/_build/html examples

%changelog
* Thu Jul 03 2018 adrianomorselli <adrianomorselli> 0.14.1-1uplos2018
- update
